org.apache.ignite.stream.kafka.connect.serialization

## Class CacheEventSerializer

- java.lang.Object
- - org.apache.ignite.stream.kafka.connect.serialization.CacheEventSerializer

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.kafka.common.serialization.Serializer<CacheEvent>

      public class CacheEventSerializer
      extends Object
      implements org.apache.kafka.common.serialization.Serializer<CacheEvent>

  Serializer based on `JdkMarshaller`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEventSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configure(Map<String,?> map, boolean b)`
    `byte[]` | `serialize(String topic, CacheEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheEventSerializer

          public CacheEventSerializer()

  - ### Method Detail

    - #### configure

          public void configure(Map<String,?> map,
                                boolean b)

      Specified by:
        `configure` in interface `org.apache.kafka.common.serialization.Serializer<CacheEvent>`

    - #### serialize

          public byte[] serialize(String topic,
                                  CacheEvent event)

      Specified by:
        `serialize` in interface `org.apache.kafka.common.serialization.Serializer<CacheEvent>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `org.apache.kafka.common.serialization.Serializer<CacheEvent>`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020